Bug 1639342 - Replace error by warning in the state machine defined in repl5_inc_run
Summary: Replace error by warning in the state machine defined in repl5_inc_run
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.5
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: 7.8
Assignee: mreynolds
QA Contact: RHDS QE
Marc Muehlfeld
URL:
Whiteboard:
Depends On:
Blocks: 1801706
TreeView+ depends on / blocked
 
Reported: 2018-10-15 14:11 UTC by German Parente
Modified: 2020-03-31 19:46 UTC (History)
9 users (show)

Fixed In Version: 389-ds-base-1.3.10.1-1.el7
Doc Type: Bug Fix
Doc Text:
.The severity of a Directory Server log message has been changed Previously, Directory Server incorrectly logged `Event <event_name> should not occur in state <state_name>; going to sleep` messages as `error`. This update changes the severity of this message to `warning`.
Clone Of:
: 1801706 (view as bug list)
Environment:
Last Closed: 2020-03-31 19:46:14 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:1064 None None None 2020-03-31 19:46:55 UTC

Description German Parente 2018-10-15 14:11:43 UTC
Description of problem:

Just a simple request to replace an error by a warning:

            } else if ((e1 = event_occurred(prp, EVENT_WINDOW_CLOSED)) ||
                       event_occurred(prp, EVENT_BACKOFF_EXPIRED)) {
                /* this events - should not occur - log a warning and go to sleep */
                slapi_log_err(SLAPI_LOG_ERR, repl_plugin_name,
                              "repl5_inc_run - %s: "
                              "Event %s should not occur in state %s; going to sleep\n",
                              agmt_get_long_name(prp->agmt), e1 ? event2name(EVENT_WINDOW_CLOSED) : event2name(EVENT_BACKOFF_EXPIRED), state2name(current_state));
                protocol_sleep(prp, PR_INTERVAL_NO_TIMEOUT);


So, as it's just a warning, let's replace SLAPI_LOG_ERR by SLAPI_LOG_WARNING.

Same in windows inc protocol:


           } else if ((e1 = event_occurred(prp, EVENT_WINDOW_CLOSED)) ||
                       event_occurred(prp, EVENT_BACKOFF_EXPIRED)) {
                /* this events - should not occur - log a warning and go to sleep */
                slapi_log_err(SLAPI_LOG_ERR, windows_repl_plugin_name,
                              "windows_inc_run - %s: "
                              "Event %s should not occur in state %s; going to sleep\n",
                              agmt_get_long_name(prp->agmt),
                              e1 ? event2name(EVENT_WINDOW_CLOSED) : event2name(EVENT_BACKOFF_EXPIRED),
                              state2name(current_state));




Version-Release number of selected component (if applicable): rhel-7.5

Comment 2 mreynolds 2018-11-30 15:47:27 UTC
Upstream ticket:
https://pagure.io/389-ds-base/issue/50062

Comment 9 errata-xmlrpc 2020-03-31 19:46:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:1064


Note You need to log in before you can comment on or make changes to this bug.